import request from "@/utils/request";

// 财务管理--部门收入结算列表
export function apiFinancialDepartmentIncomeSettlementLists(params: any) {
  return request.get({
    url: "/financial.financial_department_income_settlement/lists",
    params,
  });
}

// 添加财务管理--部门收入结算
export function apiFinancialDepartmentIncomeSettlementAdd(params: any) {
  return request.post({
    url: "/financial.financial_department_income_settlement/add",
    params,
  });
}

// 编辑财务管理--部门收入结算
export function apiFinancialDepartmentIncomeSettlementEdit(params: any) {
  return request.post({
    url: "/financial.financial_department_income_settlement/edit",
    params,
  });
}

// 删除财务管理--部门收入结算
export function apiFinancialDepartmentIncomeSettlementDelete(params: any) {
  return request.post({
    url: "/financial.financial_department_income_settlement/delete",
    params,
  });
}

// 财务管理--部门收入结算详情
export function apiFinancialDepartmentIncomeSettlementDetail(params: any) {
  return request.get({
    url: "/financial.financial_department_income_settlement/detail",
    params,
  });
}
// 财务管理--部门收入结算列表
export function apiFinancialDepartmentIncomeSettlementDetailLists(params: any) {
  return request.get({
    url: "/financial.financial_department_income_settlement_detail/lists",
    params,
  });
}

// 删除财务管理--部门收入结算
export function apiFinancialDepartmentIncomeSettlementDetailDelete(
  params: any
) {
  return request.post({
    url: "/financial.financial_department_income_settlement_detail/delete",
    params,
  });
}
